Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 212540 - API review of a support class providing a preferred java platform for a new project
API review of a support class providing a preferred java platform for a new p...
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Project
7.2
All All
: P3 (vote)
: 7.2
Assigned To: Tomas Zezula
issues@java
: API, API_REVIEW_FAST
Depends on:
Blocks: 208528
  Show dependency treegraph
 
Reported: 2012-05-15 15:01 UTC by Tomas Zezula
Modified: 2012-05-21 13:25 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments
Diff file (25.48 KB, application/octet-stream)
2012-05-15 15:01 UTC, Tomas Zezula
Details
Diff file (31.94 KB, patch)
2012-05-15 17:18 UTC, Tomas Zezula
Details | Diff
Diff file (41.52 KB, patch)
2012-05-16 08:48 UTC, Tomas Zezula
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2012-05-15 15:01:22 UTC
Created attachment 119479 [details]
Diff file

Added a support class PreferredProjectPlatform which provides a JavaPlatform which should be used by a newly created projects.
Currently only j2se project is rewritten, I will also update the web projects.
Comment 1 Tomas Zezula 2012-05-15 17:18:27 UTC
Created attachment 119493 [details]
Diff file
Comment 2 Tomas Zezula 2012-05-15 17:19:56 UTC
Resolved psomol comment 15 from issue #208528.
Comment 3 Tomas Zezula 2012-05-16 08:48:14 UTC
Created attachment 119505 [details]
Diff file

Added web, j2ee support.
Comment 4 Tomas Zezula 2012-05-21 13:25:44 UTC
Fixed jet-main ae0746286625


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo